const wxBugMaxFastRetry = 3;
const wxBugCmdFastInter = 30000; //30 secs.
const wxBugCmdSlowInter = 300000; //5 minutes
const wxBugCmdUrl = 'http://ext.weatherbug.com/NetscapeExtension/DataService/GetCommand.aspx?uid=^^Uid^^&zc=^^ZCode^^&un=^^Units^^&zip=^^ZipCode^^&cc=^^CityCode^^&stat=^^StatId^^&an=^^AppName^^&av=^^AppVersion^^';

var wxBugRetryNum = 0;
var wxBugHasShownLoc = false;

function wxBugGetCmd() {
    //wxBugLog('wxBugGetCmd starting');
    if (wxBugTimerCmd) clearTimeout(wxBugTimerCmd);
    
    url = wxBugDeTokenizeUrl(wxBugCmdUrl);
    wxBugLog('wxBugGetCmd url:' + url);
	var ah = new wxBugAsyncHttp(url, 'wxBugParseCmdData');
	
	wxBugRetryNum++;
	
	if (wxBugRetryNum <= wxBugMaxFastRetry) {
	    //wxBugLog('wxBugGetCmd setTimeout Fast');
	    wxBugTimerCmd = setTimeout('wxBugGetCmd()', wxBugCmdFastInter);
	}
	else {
	    //wxBugLog('wxBugGetCmd setTimeout Slow');
	    wxBugTimerCmd = setTimeout('wxBugGetCmd()', wxBugCmdSlowInter);
	}
}

function wxBugParseCmdData(response) {
    if (wxBugTimerCmd) clearTimeout(wxBugTimerCmd);
	//wxBugLog('wxBugParseCmdData - ' + response);
	var data = response.split('|');

	var uid = data[0];
	wxBugSetCharPref(wxBugPrefUserId, uid);
	
	var alertUrl = data[1];
	wxBugSetCharPref(wxBugPrefAlertUrl, alertUrl);
	
	var alertInter = wxBugGetInt(data[2], wxBugDefaultInter);
	wxBugSetIntPref(wxBugPrefAlertInterval, alertInter);
	
	var obsUrl = data[3];
	wxBugSetCharPref(wxBugPrefObsUrl, obsUrl);
	
	var obsWorldUrl = data[4];
	wxBugSetCharPref(wxBugPrefObsWorldUrl, obsWorldUrl);
	
	var obsInter = wxBugGetInt(data[5], wxBugDefaultInter);
	wxBugSetIntPref(wxBugPrefObsInterval, obsInter);
	
	var forecastUrl = data[6];
	wxBugSetCharPref(wxBugPrefForecastUrl, forecastUrl);
	
	var forecastInter = wxBugGetInt(data[7], wxBugDefaultInter);
	wxBugSetIntPref(wxBugPrefForecastInterval, forecastInter);
	
	var locationUrl = data[8];
	wxBugSetCharPref(wxBugPrefLocationUrl, locationUrl);
	
	var stationUrl = data[9];
	wxBugSetCharPref(wxBugPrefStationUrl, stationUrl);
	
	var bodyUrl = data[10];
	wxBugSetCharPref(wxBugPrefBodyUrl, bodyUrl);
	
	var bodyAlertUrl = data[11];
	wxBugSetCharPref(wxBugPrefBodyAlertUrl, bodyAlertUrl);
	
	var webWxAlert = data[12];
	wxBugSetCharPref(wxBugPrefWebWxAlert, webWxAlert);
	
	var webWxLocal = data[13];
	wxBugSetCharPref(wxBugPrefWebWxLocal, webWxLocal);
	
	var webWxWidth = wxBugGetInt(data[14], defaultWidth);
	wxBugSetIntPref(wxBugPrefWxWinWidth, webWxWidth);
	
	var webWxHeight = wxBugGetInt(data[15], defaultHeight);
	wxBugSetIntPref(wxBugPrefWxWinHeight, webWxHeight);

	
	if (wxBugUserHasLocation()) {
		wxBugOnTimer();
	} 
	else {
		if (!wxBugHasShownLoc) {
			wxBugHasShownLoc = true;
			wxBugLaunchLocationMgr();
		}
	}
}
